// bundle.mjs
import esbuild from "esbuild";
import { copyFile, mkdir } from "fs/promises";

const ctx = await esbuild.context({
  entryPoints: ["./src/header.js", "./src/main.js", "./src/footer.js"],
  platform: "browser",
  outdir: "./public",
  bundle: true,
  minify: true,
  loader: {
    ".module.css": "local-css",
  },
});

await ctx.serve({ port: 9494, servedir: "./public" });

try {
  // for some reason 'outdir' is not created yet at this stage (NodeJS v18.17.0, macOS 13.4.1, esbuild 0.18.18)
  await mkdir("./public");
} catch (error) {}

await copyFile("./src/index.html", "./public/index.html");
